diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7770e82..330b17f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -35215,7 +35215,7 @@ might not re-evaluate the operator.
     iiabs     : F -> F
       ++ iiabs(x) should be local but conditional;
     iiBeta     : List F -> F
-      ++ iiGamma(x) should be local but conditional;
+      ++ iiBeta(x) should be local but conditional;
     iidigamma  : F -> F
       ++ iidigamma(x) should be local but conditional;
     iipolygamma: List F -> F
diff --git a/buglist b/buglist
index 4abcce2..2a5f794 100644
--- a/buglist
+++ b/buglist
@@ -29,13 +29,6 @@ todo 329:
       [1] output: :(OutputForm) -- should replace by pretend
 
 =========================================================================
-bug 7235: 
-
->compiling FSPECF.spad to FSPECF.nrlib
- 
-"iiGamma(x) should be local but conditional."
-
-=========================================================================
 bug 7234: 
 
 >compiling EFULS.spad to EFULS.nrlib
@@ -4610,13 +4603,6 @@ typos 40078:
 "seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = \\spad{a,[y1} a = b1,..., \\spad{yn} a = bn]) is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}."
 
 =========================================================================
-typos 40077:
-
->compiling FSPECF.spad to FSPECF.nrlib
- 
---->bookvol10.4.pamphlet-->FunctionalSpecialFunction((iiBeta (F (List F)))): Improper first word in comments: iiGamma
-
-=========================================================================
 typos 40076:
 
 >compiling GCNAALG.spad to GCNAALG.nrlib
@@ -40589,3 +40575,16 @@ warnings 20501:
       [1] convert: pretend$ -- should replace by @
 
 
+=========================================================================
+bug 7235: 
+
+>compiling FSPECF.spad to FSPECF.nrlib
+ 
+"iiGamma(x) should be local but conditional."
+
+typos 40077:
+
+>compiling FSPECF.spad to FSPECF.nrlib
+ 
+--->bookvol10.4.pamphlet-->FunctionalSpecialFunction((iiBeta (F (List F)))): Improper first word in comments: iiGamma
+
diff --git a/changelog b/changelog
index e473103..a7406d5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130313 tpd src/axiom-website/patches.html 20130313.07.tpd.patch
+20130313 tpd buglist FSPECF fix 7235, 40077
+20130313 tpd books/bookvol10.4 FSPECF fix 7235, 40077
 20130313 tpd src/axiom-website/patches.html 20130313.06.tpd.patch
 20130313 tpd buglist fix 20501, SEXOF pretend, 30047 RNUMP
 20130313 tpd books/bookvol10.3 fix 20501, SEXOF pretend
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b3649ae..a0ed980 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4027,5 +4027,7 @@ books/bookvol10.3 INTRVL fix 20480, 30143
 books/bookvol10.3 RNUMP removed
 <a href="patches/20130313.06.tpd.patch">20130313.06.tpd.patch</a>
 books/bookvol10.3 fix 20501, SEXOF pretend
+<a href="patches/20130313.07.tpd.patch">20130313.07.tpd.patch</a>
+books/bookvol10.4 FSPECF fix 7235, 40077
  </body>
 </html>
